// Half-rounds

datablock fxDTSBrickData (brickHalfRound1x1fData)
{
	brickFile = "./Rounds/1x1fHalf.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Half-round 1x1f";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3a";
	collisionShapeName = "./DTS/1x1fHalf.dts";
};

datablock fxDTSBrickData (brickHalfRound1x1Data)
{
	brickFile = "./Rounds/1x1Half.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Half-round 1x1";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3b";
	collisionShapeName = "./DTS/1x1Half.dts";
};

datablock fxDTSBrickData (brickHalfRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3Half.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Half-round 1x1x3";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3c";
	collisionShapeName = "./DTS/1x1x3Half.dts";
};

datablock fxDTSBrickData (brickHalfRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5Half.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Half-round 1x1x5";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3d";
	collisionShapeName = "./DTS/1x1x5Half.dts";
};

// Extended.
datablock fxDTSBrickData (brickExtHalfRound1x1fData)
{
	brickFile = "./Rounds/1x1fExtHalf.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Half-round 1x1f";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3e";
	collisionShapeName = "./DTS/1x1fExtHalf.dts";
};

datablock fxDTSBrickData (brickExtHalfRound1x1Data)
{
	brickFile = "./Rounds/1x1ExtHalf.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Half-round 1x1";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3f";
	collisionShapeName = "./DTS/1x1ExtHalf.dts";
};

datablock fxDTSBrickData (brickExtHalfRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3ExtHalf.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Half-round 1x1x3";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3g";
	collisionShapeName = "./DTS/1x1x3ExtHalf.dts";
};

datablock fxDTSBrickData (brickExtHalfRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5ExtHalf.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Half-round 1x1x5";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3h";
	collisionShapeName = "./DTS/1x1x5ExtHalf.dts";
};

// Quarter rounds

datablock fxDTSBrickData (brickQuartRound1x1fData)
{
	brickFile = "./Rounds/1x1fQuart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1f";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3i";
	collisionShapeName = "./DTS/1x1fQuart.dts";
};

datablock fxDTSBrickData (brickQuartRound1x1Data)
{
	brickFile = "./Rounds/1x1Quart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3j";
	collisionShapeName = "./DTS/1x1Quart.dts";
};

datablock fxDTSBrickData (brickQuartRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3Quart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x3";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3k";
	collisionShapeName = "./DTS/1x1x3Quart.dts";
};

datablock fxDTSBrickData (brickQuartRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5Quart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x5";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3l";
	collisionShapeName = "./DTS/1x1x5Quart.dts";
};

// Left-side

datablock fxDTSBrickData (brickLeftQuartRound1x1fData)
{
	brickFile = "./Rounds/1x1fQuartLeft.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1f left";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3u";
	collisionShapeName = "./DTS/1x1fQuartLeft.dts";
};

datablock fxDTSBrickData (brickLeftQuartRound1x1Data)
{
	brickFile = "./Rounds/1x1QuartLeft.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1 left";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3v";
	collisionShapeName = "./DTS/1x1QuartLeft.dts";
};

datablock fxDTSBrickData (brickLeftQuartRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3QuartLeft.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x3 left";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3w";
	collisionShapeName = "./DTS/1x1x3QuartLeft.dts";
};

datablock fxDTSBrickData (brickLeftQuartRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5QuartLeft.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x5 left";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3x";
	collisionShapeName = "./DTS/1x1x5QuartLeft.dts";
};

// Right-side

datablock fxDTSBrickData (brickRightQuartRound1x1fData)
{
	brickFile = "./Rounds/1x1fQuartRight.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1f right";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3q";
	collisionShapeName = "./DTS/1x1fQuartRight.dts";
};

datablock fxDTSBrickData (brickRightQuartRound1x1Data)
{
	brickFile = "./Rounds/1x1QuartRight.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1 right";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3r";
	collisionShapeName = "./DTS/1x1QuartRight.dts";
};

datablock fxDTSBrickData (brickRightQuartRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3QuartRight.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x3 right";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3s";
	collisionShapeName = "./DTS/1x1x3QuartRight.dts";
};

datablock fxDTSBrickData (brickRightQuartRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5QuartRight.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Quarter-round 1x1x5 right";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3t";
	collisionShapeName = "./DTS/1x1x5QuartRight.dts";
};

// Extended.

datablock fxDTSBrickData (brickExtQuartRound1x1fData)
{
	brickFile = "./Rounds/1x1fExtQuart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Quarter-round 1x1f";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3m";
	collisionShapeName = "./DTS/1x1fExtQuart.dts";
};

datablock fxDTSBrickData (brickExtQuartRound1x1Data)
{
	brickFile = "./Rounds/1x1ExtQuart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Quarter-round 1x1";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3n";
	collisionShapeName = "./DTS/1x1ExtQuart.dts";
};

datablock fxDTSBrickData (brickExtQuartRound1x1x3Data)
{
	brickFile = "./Rounds/1x1x3ExtQuart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Quarter-round 1x1x3";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3o";
	collisionShapeName = "./DTS/1x1x3ExtQuart.dts";
};

datablock fxDTSBrickData (brickExtQuartRound1x1x5Data)
{
	brickFile = "./Rounds/1x1x5ExtQuart.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Half/Quarter rounds";
	uiName = "Ext. Quarter-round 1x1x5";
	orientationFix = 2;
	iconName = "Add-ons/Brick_Gamblepack/PNG/3p";
	collisionShapeName = "./DTS/1x1x5ExtQuart.dts";
};

// One random pack requirement
%error = ForceRequiredAddOn("Brick_1RandomPack");

if(%error == $Error::AddOn_Disabled || %error == $Error::AddOn_NotFound)
{
	error("ERROR: Brick_Gamblepack - Half round adapter & norm. rounds not enabled, missing Brick_1RandomPack");
}
else
{
	datablock fxDTSBrickData (brick1x1HalfRoundAdapterData)
	{
	brickFile = "./Rounds/1x1HalfRoundAdapter.blb";
	canCover = true;
	category = "Rounds";
	subCategory = "Bricks";
	uiName = "1x1 Half Round Adapter";
	iconName = "Add-ons/Brick_Gamblepack/PNG/5a";
	orientationFix = 3;
	};
	
	// Rounds [F]

	datablock fxDTSBrickData (brick3x3fRoundData)
	{
		brickFile = "./Rounds/3x3fRound.blb";
		category = "Rounds";
		subCategory = "Plates";
		uiName = "3x3F Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2d";
		collisionShapeName = "./DTS/3x3fRound.dts";
	};

	datablock fxDTSBrickData (brick8x8fRoundData)
	{
		brickFile = "./Rounds/8x8fRound.blb";
		category = "Rounds";
		subCategory = "Plates";
		uiName = "8x8F Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2e";
		collisionShapeName = "./DTS/8x8fRound.dts";
	};

	// Rounds

	datablock fxDTSBrickData (brick3x3RoundData)
	{
		brickFile = "./Rounds/3x3Round.blb";
		category = "Rounds";
		subCategory = "Bricks";
		uiName = "3x3 Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2a";
		collisionShapeName = "./DTS/3x3Round.dts";
	};
	
	datablock fxDTSBrickData (brick4x4RoundData)
	{
		brickFile = "./Rounds/4x4Round.blb";
		category = "Rounds";
		subCategory = "Bricks";
		uiName = "4x4 Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2f";
		collisionShapeName = "./DTS/4x4Round.dts";
	};
		
	datablock fxDTSBrickData (brick6x6RoundData)
	{
		brickFile = "./Rounds/6x6Round.blb";
		category = "Rounds";
		subCategory = "Bricks";
		uiName = "6x6 Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2b";
		collisionShapeName = "./DTS/6x6Round.dts";
	};
		
	datablock fxDTSBrickData (brick8x8RoundData)
	{
		brickFile = "./Rounds/8x8Round.blb";
		category = "Rounds";
		subCategory = "Bricks";
		uiName = "8x8 Round";
		iconName = "Add-ons/Brick_Gamblepack/PNG/2c";
		collisionShapeName = "./DTS/8x8Round.dts";
	};
}