// Requirement
%error = ForceRequiredAddOn("Brick_SmallBricks");

if(%error == $Error::AddOn_Disabled || %error == $Error::AddOn_NotFound)
{
	error("ERROR: Brick_Gamblepack - Smallbricks not enabled, missing Brick_SmallBricks");
}
else
{
	// 0.25 Plate Height //
	
	datablock fxDTSBrickData (brick025x025fOri1Data)
	{
		brickFile = "./Small/0.25x0.25fOrientation1.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 1";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6a";
	};

	datablock fxDTSBrickData (brick025x025fOri2Data)
	{
		brickFile = "./Small/0.25x0.25fOrientation2.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 2";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6b";
	};

	datablock fxDTSBrickData (brick025x025fOri3AData)
	{
		brickFile = "./Small/0.25x0.25fOrientation3A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 3 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6c";
	};

	datablock fxDTSBrickData (brick025x025fOri3BData)
	{
		brickFile = "./Small/0.25x0.25fOrientation3B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 3 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6d";
	};

	datablock fxDTSBrickData (brick025x025fOri4AData)
	{
		brickFile = "./Small/0.25x0.25fOrientation4A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 4 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6f";
	};

	datablock fxDTSBrickData (brick025x025fOri4BData)
	{
		brickFile = "./Small/0.25x0.25fOrientation4B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 4 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6e";
	};

	datablock fxDTSBrickData (brick025x025fOri5AData)
	{
		brickFile = "./Small/0.25x0.25fOrientation5A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 5 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6g";
	};

	datablock fxDTSBrickData (brick025x025fOri5BData)
	{
		brickFile = "./Small/0.25x0.25fOrientation5B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 5 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6h";
	};

	datablock fxDTSBrickData (brick025x025fOri6AData)
	{
		brickFile = "./Small/0.25x0.25fOrientation6A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 6 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6j";
	};

	datablock fxDTSBrickData (brick025x025fOri6BData)
	{
		brickFile = "./Small/0.25x0.25fOrientation6B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 6 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6i";
	};

	datablock fxDTSBrickData (brick025x025fOri7AData)
	{
		brickFile = "./Small/0.25x0.25fOrientation7A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 7 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6l";
	};

	datablock fxDTSBrickData (brick025x025fOri7BData)
	{
		brickFile = "./Small/0.25x0.25fOrientation7B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25f Edge Orientation 7 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6k";
	};
	
	datablock fxDTSBrickData (brick025x1fOri1Data)
	{
		brickFile = "./Small/0.25x1fOrientation1.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x1f Orientation 1";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6x";
	};

	datablock fxDTSBrickData (brick025x1fOri2Data)
	{
		brickFile = "./Small/0.25x1fOrientation2.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x1f Orientation 2";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6w";
	};

	// 0.25 Brick Height //
	datablock fxDTSBrickData (brick025x025Ori1Data)
	{
		brickFile = "./Small/0.25x0.25Orientation1.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 1";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6m";
	};

	datablock fxDTSBrickData (brick025x025Ori2Data)
	{
		brickFile = "./Small/0.25x0.25Orientation2.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 2";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6n";
	};

	datablock fxDTSBrickData (brick025x025Ori3AData)
	{
		brickFile = "./Small/0.25x0.25Orientation3A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 3 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6o";
	};

	datablock fxDTSBrickData (brick025x025Ori3BData)
	{
		brickFile = "./Small/0.25x0.25Orientation3B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 3 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6p";
	};

	datablock fxDTSBrickData (brick025x025Ori4AData)
	{
		brickFile = "./Small/0.25x0.25Orientation4A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 4 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6t";
	};

	datablock fxDTSBrickData (brick025x025Ori4BData)
	{
		brickFile = "./Small/0.25x0.25Orientation4B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 4 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6s";
	};

	datablock fxDTSBrickData (brick025x025Ori5AData)
	{
		brickFile = "./Small/0.25x0.25Orientation5A.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 5 A";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6r";
	};

	datablock fxDTSBrickData (brick025x025Ori5BData)
	{
		brickFile = "./Small/0.25x0.25Orientation5B.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x0.25 Edge Orientation 5 B";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6q";
	};
	
	datablock fxDTSBrickData (brick025x1Ori1Data)
	{
		brickFile = "./Small/0.25x1Orientation1.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x1 Orientation 1";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6v";
	};

	datablock fxDTSBrickData (brick025x1Ori2Data)
	{
		brickFile = "./Small/0.25x1Orientation2.blb";
		category = "Plates";
		subCategory = "0.25x";
		uiName = "0.25x1 Orientation 2";
		iconName = "Add-Ons/Brick_Gamblepack/PNG/6u";
	};
}
